# Visualization
TKMeshVS
MeshVS

# MeshVS_Drawer Class Reference

This class provided the common interface to share between classes
big set of constants affecting to object appearance. By default, this class
can store integers, doubles, OCC colors, OCC materials. Each of OCC enum members
can be stored as integers.
.

`#include <MeshVS_Drawer.hxx>`

## Public Member Functions

virtual Standard_EXPORT void | Assign (const Handle(MeshVS_Drawer)&aDrawer)
| This method copies other drawer contents to this. .
Standard_EXPORT void | SetInteger (const Standard_Integer Key, const Standard_Integer Value)
Standard_EXPORT void | SetDouble (const Standard_Integer Key, const Standard_Real Value)
Standard_EXPORT void | SetBoolean (const Standard_Integer Key, const Standard_Boolean Value)
Standard_EXPORT void | SetColor (const Standard_Integer Key, const Quantity_Color &Value)
Standard_EXPORT void | SetMaterial (const Standard_Integer Key, const Graphic3d_MaterialAspect &Value)
Standard_EXPORT Standard_Boolean | GetInteger (const Standard_Integer Key, Standard_Integer &Value) const
Standard_EXPORT Standard_Boolean | GetDouble (const Standard_Integer Key, Standard_Real &Value) const
Standard_EXPORT Standard_Boolean | GetBoolean (const Standard_Integer Key, Standard_Boolean &Value) const
Standard_EXPORT Standard_Boolean | GetColor (const Standard_Integer Key, Quantity_Color &Value) const
Standard_EXPORT Standard_Boolean | GetMaterial (const Standard_Integer Key, Graphic3d_MaterialAspect &Value) const
Standard_EXPORT Standard_Boolean | RemoveInteger (const Standard_Integer Key)
Standard_EXPORT Standard_Boolean | RemoveDouble (const Standard_Integer Key)
Standard_EXPORT Standard_Boolean | RemoveBoolean (const Standard_Integer Key)
Standard_EXPORT Standard_Boolean | RemoveColor (const Standard_Integer Key)
Standard_EXPORT Standard_Boolean | RemoveMaterial (const Standard_Integer Key)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_DataMapOfIntegerInteger | myIntegers
MeshVS_DataMapOfIntegerBoolean | myBooleans
TColStd_DataMapOfIntegerReal | myDoubles
MeshVS_DataMapOfIntegerColor | myColors
MeshVS_DataMapOfIntegerMaterial | myMaterials

## Member Function Documentation

virtual Standard_EXPORT void MeshVS_Drawer::Assign | ( | const Handle(MeshVS_Drawer)& | aDrawer | ) | `[virtual]`

Standard_EXPORT Standard_Boolean MeshVS_Drawer::GetBoolean | ( | const Standard_Integer | Key,
|  | Standard_Boolean & | Value
| ) | const

Standard_EXPORT Standard_Boolean MeshVS_Drawer::GetColor | ( | const Standard_Integer | Key,
|  | Quantity_Color & | Value
| ) | const

Standard_EXPORT Standard_Boolean MeshVS_Drawer::GetDouble | ( | const Standard_Integer | Key,
|  | Standard_Real & | Value
| ) | const

Standard_EXPORT Standard_Boolean MeshVS_Drawer::GetInteger | ( | const Standard_Integer | Key,
|  | Standard_Integer & | Value
| ) | const

Standard_EXPORT Standard_Boolean MeshVS_Drawer::GetMaterial | ( | const Standard_Integer | Key,
|  | Graphic3d_MaterialAspect & | Value
| ) | const

Standard_EXPORT const MeshVS_Drawer::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean MeshVS_Drawer::RemoveBoolean | ( | const Standard_Integer | Key | ) |

Standard_EXPORT Standard_Boolean MeshVS_Drawer::RemoveColor | ( | const Standard_Integer | Key | ) |

Standard_EXPORT Standard_Boolean MeshVS_Drawer::RemoveDouble | ( | const Standard_Integer | Key | ) |

Standard_EXPORT Standard_Boolean MeshVS_Drawer::RemoveInteger | ( | const Standard_Integer | Key | ) |

Standard_EXPORT Standard_Boolean MeshVS_Drawer::RemoveMaterial | ( | const Standard_Integer | Key | ) |

Standard_EXPORT void MeshVS_Drawer::SetBoolean | ( | const Standard_Integer | Key,
|  | const Standard_Boolean | Value
| ) |

Standard_EXPORT void MeshVS_Drawer::SetColor | ( | const Standard_Integer | Key,
|  | const Quantity_Color & | Value
| ) |

Standard_EXPORT void MeshVS_Drawer::SetDouble | ( | const Standard_Integer | Key,
|  | const Standard_Real | Value
| ) |

Standard_EXPORT void MeshVS_Drawer::SetInteger | ( | const Standard_Integer | Key,
|  | const Standard_Integer | Value
| ) |

Standard_EXPORT void MeshVS_Drawer::SetMaterial | ( | const Standard_Integer | Key,
|  | const Graphic3d_MaterialAspect & | Value
| ) |

## Field Documentation

MeshVS_DataMapOfIntegerBoolean MeshVS_Drawer::myBooleans `[private]`

MeshVS_DataMapOfIntegerColor MeshVS_Drawer::myColors `[private]`

TColStd_DataMapOfIntegerReal MeshVS_Drawer::myDoubles `[private]`

TColStd_DataMapOfIntegerInteger MeshVS_Drawer::myIntegers `[private]`

MeshVS_DataMapOfIntegerMaterial MeshVS_Drawer::myMaterials `[private]`

The documentation for this class was generated from the following file:

- MeshVS_Drawer.hxx